- Qt 5.0
- QOrganizerItemReminder Proxy Page
- Qt 5.0.0 Reference Documentation

# QOrganizerItemReminder Proxy Page

## Macros

| Q_DECLARE_CUSTOM_ORGANIZER_REMINDER_DETAIL

## Macro Documentation

### Q_DECLARE_CUSTOM_ORGANIZER_REMINDER_DETAIL

Macro for simplifying declaring custom (leaf) reminder detail classes.

The first argument is the name of the class, and the second argument is a Latin-1 string literal naming the detail type, and the third argument is the reminder type of the leaf reminder detail class.

If you are creating a convenience class for a type of QOrganizerItemReminder, you should use this macro when declaring your class to ensure that it interoperates with other organizer item functionality.